# Generated by Django 2.0.1 on 2018-06-23 13:37

import django.core.validators
from django.db import migrations, models
from vpnathome.settings import USER_SETTINGS


def create_settings(apps, schema_editor):
    Settings = apps.get_model('management', 'Settings')
    Settings.objects.create(pk=1,
                            email_enabled=USER_SETTINGS.email_enabled,
                            email_from=USER_SETTINGS.email_server_from,
                            email_smtp_server=USER_SETTINGS.email_smtp_server or '',
                            email_smtp_port=USER_SETTINGS.email_smtp_port or 0,
                            email_smtp_login=USER_SETTINGS.email_smtp_login or '',
                            email_smtp_password=USER_SETTINGS.email_smtp_password or '')


def remove_settings(apps, schema_editor):
    Settings = apps.get_model('management', 'Settings')
    Settings.objects.delete(pk=1)


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email_enabled', models.BooleanField(default=False)),
                ('email_from', models.EmailField(blank=True, default='', max_length=128)),
                ('email_smtp_server', models.CharField(blank=True, default='', max_length=128)),
                ('email_smtp_port', models.IntegerField(default=465, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(65535)])),
                ('email_smtp_login', models.CharField(blank=True, default='', max_length=128)),
                ('email_smtp_password', models.CharField(blank=True, default='', max_length=128)),
                ('registration_enabled', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'settings',
                'verbose_name_plural': 'settings',
            },
        ),
        migrations.RunPython(create_settings, remove_settings)
    ]
